import { FarmFarmer } from './farmFarmer.type';
import { UserFarmer } from './userFarmer.type';
import { InventoryItem } from './../financial/inventory/inventoryItem.type';
import { Animal } from './../zootechnical/animal.type';
import { Expense } from './../financial/expense.type';
import { Address } from '../app/address.type';
import { BasicREntity } from '../basicR.type';
import { Agreement } from './agreement.type';
import { Revenue } from '../financial/revenue.type';
import { FarmConsultant } from './farmConsultant.type';
export declare class Farm extends BasicREntity {
    name: string;
    address: Address;
    agreements?: Agreement[];
    farmers?: UserFarmer[];
    farmConsultant?: FarmConsultant[];
    farmFarmer?: FarmFarmer[];
    expenses?: Expense[];
    inventoryItems?: InventoryItem[];
    animals?: Animal[];
    revenues?: Revenue[];
}
