import { BasicREntity } from '../basicR.type';
import { Agreement } from './agreement.type';
import { UserConsultant } from './userConsultant.type';
export declare enum VisitStatus {
    SCHEDULED = 1,
    DONE = 2,
    PENDING = 3,
    LATE = 4
}
export declare class Visit extends BasicREntity {
    consultant: UserConsultant;
    agreement: Agreement;
    actualDate: Date;
    competence: Date;
    status: VisitStatus;
}
